# Poco

# class PathImpl

Library: Foundation
Package: Filesystem
Header: Poco/Path_WIN32U.h

## Member Summary

Member Functions: cacheHomeImpl, configHomeImpl, configImpl, currentImpl, dataHomeImpl, expandImpl, homeImpl, listRootsImpl, nullImpl, selfImpl, systemImpl, tempHomeImpl, tempImpl

## Enumerations

### Anonymous

MAX_PATH_LEN = 32767

## Member Functions

### cacheHomeImpl

static std::string cacheHomeImpl();

### configHomeImpl

static std::string configHomeImpl();

### configImpl

static std::string configImpl();

### currentImpl

static std::string currentImpl();

### dataHomeImpl

static std::string dataHomeImpl();

### expandImpl

static std::string expandImpl(
const std::string & path
);

### homeImpl

static std::string homeImpl();

### listRootsImpl

static void listRootsImpl(
std::vector < std::string > & roots
);

### nullImpl

static std::string nullImpl();

### selfImpl

static std::string selfImpl();

### systemImpl

static std::string systemImpl();

### tempHomeImpl

static std::string tempHomeImpl();

### tempImpl

static std::string tempImpl();